using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Utils;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 竟彩停售记录
    /// </summary>
    public class Jc_StopSaleEntity
    {
        #region Model
        private int _e_id;
        private int _e_abbdate = 0;
        private string _e_expect = "";
        private int _e_playid = 0;
        private bool _e_enabled = true;
        private DateTime _e_addtime = DateTime.Now;
        private string _e_operateip = "";
        private DateTime _e_operatetime = DateTime.Now;
        private int _e_notifystatus =0;
        private DateTime _e_notifytime = new DateTime(1900,1,1);
        private string _e_remark = "";
        /// <summary>
        /// 主键ID
        /// </summary>
        public int E_Id
        {
            set { _e_id = value; }
            get { return _e_id; }
        }
        /// <summary>
        /// 对阵日期
        /// </summary>
        public int E_AbbDate
        {
            set { _e_abbdate = value; }
            get { return _e_abbdate; }
        }
        /// <summary>
        /// 期号
        /// </summary>
        public string E_Expect
        {
            set { _e_expect = value; }
            get { return _e_expect; }
        }
        /// <summary>
        /// 玩法ID  0--所有玩法；91101--胜平负；91102--比分；91103--总进球；91104--半全场
        /// </summary>
        public int E_PlayId
        {
            set { _e_playid = value; }
            get { return _e_playid; }
        }
        /// <summary>
        /// 是否有效（0--无效；1--有效，默认为1）
        /// </summary>
        public bool E_Enabled
        {
            set { _e_enabled = value; }
            get { return _e_enabled; }
        }
        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime E_AddTime
        {
            set { _e_addtime = value; }
            get { return _e_addtime; }
        }
        /// <summary>
        /// 停售操作IP
        /// </summary>
        public string E_OperateIp
        {
            set { _e_operateip = value; }
            get { return _e_operateip; }
        }
        /// <summary>
        /// 停售操作时间
        /// </summary>
        public DateTime E_OperateTime
        {
            set { _e_operatetime = value; }
            get { return _e_operatetime; }
        }
        /// <summary>
        /// 通知状态
        /// </summary>
        public int E_NotifyStatus
        {
            get { return _e_notifystatus; }
            set { _e_notifystatus = value; }
        }
        /// <summary>
        /// 通知时间
        /// </summary>
        public DateTime E_NotifyTime
        {
            get { return _e_notifytime; }
            set { _e_notifytime = value; }
        }
        /// <summary>
        /// 备注
        /// </summary>
        public string E_Remark
        {
            set { _e_remark = value; }
            get { return _e_remark; }
        }
        #endregion Model
        #region 扩展属性

        private int _lotId;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        /// <summary>
        /// 玩法名称
        /// </summary>
        public string PlayName
        {
            get { return _e_playid == 0 ? "全部" : LotPlayTypeHashTable.GetPlayName(_e_playid); }
        }
        /// <summary>
        /// 通知状态名称
        /// </summary>
        public string NotifyStatusName
        {
            get
            {
                string name = "默认";
                switch (_e_notifystatus)
                {
                    case 100:
                        name = "可通知";
                        break;
                    case 300:
                        name = "已通知";
                        break;
                }
                return name;
            }
        }

        #endregion
    }
}
